Limerence
Dashboard shares

Execute Shared Dashboard Data Files

Execute a batch of a shared dashboard's own Space Data Files. Every source must appear in the rendered dashboard and filter inputs are validated against its declared param controls. Public or team-gated.

POST
/share/dashboards/{token}/data-files/execute

Execute a batch of a shared dashboard's own Space Data Files. Every source must appear in the rendered dashboard and filter inputs are validated against its declared param controls. Public or team-gated.

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

token*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/share/dashboards/string/data-files/execute" \  -H "Content-Type: application/json" \  -d '{    "executions": [      {        "key": "string",        "source": "string"      }    ]  }'
{  "results": [    {      "columns": [        "string"      ],      "data": [        {          "property1": null,          "property2": null        }      ],      "dataSourceIds": [        "string"      ],      "key": "string"    }  ]}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "dashboard-share/auth-required",    "detail": "This dashboard is only accessible to team members. Please log in."  },  "message": "Authentication required"}
{  "cause": {    "code": "dashboard-share/not-team-member",    "detail": "You are not a member of the team that owns this dashboard."  },  "message": "Access denied"}
{  "cause": {    "code": "dashboard-share/not-found",    "detail": "This shared dashboard does not exist or has been removed."  },  "message": "Shared dashboard not found"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}